
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>HTML 5 Web SQL核心三叉戟 / iVAN</title>

    <meta name="description" content="HTML 5 Web SQL核心三叉戟 [51CTO译文]Web SQL数据库API实际上未包含在HTML 5规范之中,它是一个独立的规范,它引入了一套使用SQL操作客户端数据库的API.假设你是一名优秀的Web开发人员,那毫无疑问,你对SQL和数据库的相关概念已经很熟悉了,如果你对SQL不熟悉,那在继续阅读本文之前,最好先学习一下SQL相关的教程. 最新版本的Chrome,Safari和Opera浏览器都支持Web SQL数据库. 核心方法 本文将介绍规范中定义的三个核心方法: 1.openDatabase:这个方法使用现有数据库或">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">HTML 5 Web SQL核心三叉戟</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>【51CTO译文】Web SQL数据库API实际上未包含在HTML 5规范之中，它是一个独立的规范，它引入了一套使用SQL操作客户端数据库的API。假设你是一名优秀的Web开发人员，那毫无疑问，你对SQL和数据库的相关概念已经很熟悉了，如果你对SQL不熟悉，那在继续阅读本文之前，最好先学习一下SQL相关的教程。</p>
<p>最新版本的Chrome，Safari和Opera浏览器都支持Web SQL数据库。</p>
<p><strong>核心方法</strong></p>
<p>本文将介绍规范中定义的三个核心方法：</p>
<p>1、openDatabase：这个方法使用现有数据库或创建新数据库创建数据库对象。</p>
<p>2、transaction：这个方法允许我们根据情况控制事务提交或回滚。</p>
<p>3、executeSql：这个方法用于执行真实的SQL查询。</p>
<p><strong>打开数据库</strong></p>
<p>openDatabase方法打开一个已经存在的数据库，如果数据库不存在，它还可以创建数据库，创建并打开数据库的语法如下：</p>
<pre></pre>
<ol>
<li>var db = openDatabase('mydb', '1.0', 'Test DB', 2 * 1024 * 1024); </li>
</ol>
<p>上面的openDatabase方法使用了下面五个参数：</p>
<p>1、数据库名（mydb）</p>
<p>2、版本号（1.0）</p>
<p>3、描述（Test DB）</p>
<p>4、数据库大小（2*1024*1024）</p>
<p>5、创建回调</p>
<p>最后一个，即第五个参数“创建回调”，在创建数据库时会调用它，但即使没有这个参数，一样可以在运行时创建数据库。</p>
<p><strong>执行查询</strong></p>
<p>执行查询使用database.transaction()函数，它只需要一个参数，下面是一个真实的查询语句：</p>
<pre></pre>
<ol>
<li>var db = openDatabase('mydb', '1.0', 'Test DB', 2 * 1024 * 1024);  </li>
<li>db.transaction(function (tx) {    </li>
<li>   tx.executeSql('CREATE TABLE IF NOT EXISTS LOGS (id unique, log)');  </li>
<li>}); </li>
</ol>
<p>上面的查询将会在“mydb”数据库中创建一个LOGS表。</p>
<p><strong>插入操作</strong></p>
<p>为了向表中插入新记录，我们在上面的查询语句中添加了一个简单的SQL查询，修改后的语句如下：</p>
<pre></pre>
<ol>
<li>var db = openDatabase('mydb', '1.0', 'Test DB', 2 * 1024 * 1024);  </li>
<li>db.transaction(function (tx) {  </li>
<li>   tx.executeSql('CREATE TABLE IF NOT EXISTS LOGS (id unique, log)');  </li>
<li>   tx.executeSql('INSERT INTO LOGS (id, log) VALUES (1, "foobar")');  </li>
<li>   tx.executeSql('INSERT INTO LOGS (id, log) VALUES (2, "logmsg")');  </li>
<li>}); </li>
</ol>
<p>在插入新记录时，我们还可以传递动态值，如：</p>
<pre></pre>
<ol>
<li>var db = openDatabase('mydb', '1.0', 'Test DB', 2 * 1024 * 1024);  </li>
<li>db.transaction(function (tx) {    </li>
<li>  tx.executeSql('CREATE TABLE IF NOT EXISTS LOGS (id unique, log)');  </li>
<li>  tx.executeSql('INSERT INTO LOGS   </li>
<li>                        (id,log) VALUES (?, ?'), [e_id, e_log];  </li>
<li>}); </li>
</ol>
<p>这里的e_id和e_log是外部变量，executeSql在数组参数中将每个项目映射到“?”。</p>
<p><strong>读操作</strong></p>
<p>如果要读取已经存在的记录，我们使用一个回调捕获结果，代码如下：</p>
<pre></pre>
<ol>
<li>var db = openDatabase('mydb', '1.0', 'Test DB', 2 * 1024 * 1024);  </li>
<li>db.transaction(function (tx) {  </li>
<li>   tx.executeSql('CREATE TABLE IF NOT EXISTS LOGS (id unique, log)');  </li>
<li>   tx.executeSql('INSERT INTO LOGS (id, log) VALUES (1, "foobar")');  </li>
<li>   tx.executeSql('INSERT INTO LOGS (id, log) VALUES (2, "logmsg")');  </li>
<li>});  </li>
<li>db.transaction(function (tx) {  </li>
<li>   tx.executeSql('SELECT * FROM LOGS', [], function (tx, results) {  </li>
<li>   var len = results.rows.length, i;  </li>
<li>   msg = "&lt;p&gt;Found rows: " + len + "&lt;/p&gt;";  </li>
<li>   document.querySelector('#status').innerHTML +=  msg;  </li>
<li>   for (i = 0; i &lt; len; i++){  </li>
<li>      alert(results.rows.item(i).log );  </li>
<li>   }  </li>
<li> }, null);  </li>
<li>}); </li>
</ol>
<p><strong>完整的例子</strong></p>
<p>最后，我们在一个完整的HTML 5文档中展现前面讲述的内容，同时使用浏览器来解析这个HTML 5文档。</p>
<pre></pre>
<ol>
<li>&lt;!DOCTYPE HTML&gt; </li>
<li>&lt;html&gt; </li>
<li>&lt;head&gt; </li>
<li>&lt;script type="text/javascript"&gt; </li>
<li>var db = openDatabase('mydb', '1.0', 'Test DB', 2 * 1024 * 1024);  </li>
<li>var msg;  </li>
<li>db.transaction(function (tx) {  </li>
<li>  tx.executeSql('CREATE TABLE IF NOT EXISTS LOGS (id unique, log)');  </li>
<li>  tx.executeSql('INSERT INTO LOGS (id, log) VALUES (1, "foobar")');  </li>
<li>  tx.executeSql('INSERT INTO LOGS (id, log) VALUES (2, "logmsg")');  </li>
<li>  msg = '&lt;p&gt;Log message created and row inserted.&lt;/p&gt;';  </li>
<li>  document.querySelector('#status').innerHTML =  msg;  </li>
<li>});  </li>
<li> </li>
<li>db.transaction(function (tx) {  </li>
<li>  tx.executeSql('SELECT * FROM LOGS', [], function (tx, results) {  </li>
<li>   var len = results.rows.length, i;  </li>
<li>   msg = "&lt;p&gt;Found rows: " + len + "&lt;/p&gt;";  </li>
<li>   document.querySelector('#status').innerHTML +=  msg;  </li>
<li>   for (i = 0; i &lt; len; i++){  </li>
<li>     msg = "&lt;p&gt;&lt;b&gt;" + results.rows.item(i).log + "&lt;/b&gt;&lt;/p&gt;";  </li>
<li>     document.querySelector('#status').innerHTML +=  msg;  </li>
<li>   }  </li>
<li> }, null);  </li>
<li>});  </li>
<li>&lt;/script&gt; </li>
<li>&lt;/head&gt; </li>
<li>&lt;body&gt; </li>
<li>&lt;div id="status" name="status"&gt;Status Message&lt;/div&gt; </li>
<li>&lt;/body&gt; </li>
<li>&lt;/html&gt; </li>
</ol>
<p>下面是在最新版本的Safari或Opera浏览器中产生的输出结果。</p>
<pre></pre>
<ol>
<li>Log message created and row inserted.  </li>
<li> </li>
<li>Found rows: 2  </li>
<li> </li>
<li>foobar  </li>
<li> </li>
<li>logmsg </li>
</ol>
<p> <br />
<br /><em>原文链接：http://www.tutorialspoint.com/html5/html5_web_sql.htm</em></p>
<p>【编辑推荐】</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索数据库<br />
                    ，                方法<br />
                    ，                transaction<br />
                    ，                tx<br />
                    ，                logs<br />
                    ，                一个<br />
                                    executesql<br />
                                    html5 web sql、html5 websql、html5 web sql 被废弃、html5 web sql 的缺点、html5 web sql 数据库，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 02:31:13</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/transaction/" title="Transaction">Transaction</a>, <a href="https://www.iamivan.net/tag/logs/" title="logs">logs</a>, <a href="https://www.iamivan.net/tag/executesql/" title="executesql">executesql</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>HTML 5 Web SQL核心三叉戟的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b24GrQp.html" rel="bookmark">Web持久化存储Web SQL、Local Storage、Cookies（常用）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在浏览器客户端记录一些信息,有三种常用的Web数据持久化存储的方式,分别是Web SQL.Local Storage.Cookies. Web SQL 作为html5本地数据库,可通过一套API来操纵客户端的数据库(关系数据库),下面是支持浏览器情况. 鉴于PC浏览器支持情况,我找了淘宝.京东.携程.起点.优酷网站,并没有用Web SQL记录客户端信息.在移动端比较适用,特别是对于Hybrid应用,更是得心应手. 接口: openDatabase transaction executeSql 1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MywjJJz.html" rel="bookmark">JSP 页面能套用HTML中的WEB sql吗？jsp页面里面放web sql的代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 JSP 页面能套用HTML中的WEB sql吗?jsp页面里面放web sql的代码 如题 如题 感觉上是可以的 大神指点 说一下web sql的知识 怎么存取 谢谢 谢谢 解决方案 大致意思:是不是可不可以在 jsp 里写 sql 代码 在 jsp 里可以通过 &lt;% %&gt; 在里面写 java 代码即可: 例: This is my JSP page. &lt;% RecordDao recordDao = new RecordDaoImpl(); List list = new A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7xyZz.html" rel="bookmark">Linux高可用&lpar;HA&rpar;之Heartbeat&plus;Nginx&plus;MySQL&plus;NFS实现WEB&plus;SQL服务高可用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				环境说明: node1:ZhongH100.wxjr.com.cn 172.16.6.100 node2:ZhongH101.wxjr.com.cn 172.16.6.101 NFS存储:ZhongH102.wxjr.com.cn 172.16.6.102 VIP:172.16.7.200 node1和node2的主机名.SSH互通 操作系统:都是CentOS 6.6 x86_64 (自己配置好yum源.epel源.关闭SELinux.关闭防火墙) 注意:是[root@ZhongH100 ~]还			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mqg09Gz.html" rel="bookmark">html5 web sql database 能建数据库不能建表怎么回事</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 html5 web sql database 能建数据库不能建表怎么回事 html5 web sql database 能建数据库不能建表怎么回事 现在是数据库能建起来 表建不起来 代码如下 &lt;script type=&quot;text/javascript&quot;&gt; var db = openDatabase('mydb', '1.0', 'Test DB', 2 * 1024 * 1024); var msg; db.transaction(function (tx) {			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lpdl56p.html" rel="bookmark">Web设计核心问题2&colon;Web设计进程&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web|进程|设计|问题 创建一个好的Web站点极具挑战性,从外观设计到数据库集成,那么多不同的部分都会留下很多犯错误的空间.为了减少Web项目失败的风险,我们需要有一个进程模型来指导开发过程.不幸的是,很多Web设计者采用了一种可能被称为N I K E的开发方法-他们只是做,而很少考虑前景和计划.这种建设网站的过程是不符合方法学的:站点的目标定义得很松散,整个进程依靠的是直觉,没有严格的过程定义而缺乏可预见性.以这种方法开发的站点像植物一样,它们自然地生长,偶尔会变成美丽的花卉,但更多的情况却			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMry4yb.html" rel="bookmark">Web设计核心问题3&colon;为用户设计&lpar;9&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web|设计|问题  3.12 建设可用的站点 可用站点开发的关键在于早期就关注应用程序的用户.记住用户的目标不是使用计算机或访问站点.用户的目标是完成某个任务-购买某个物品或寻找支付账单的中心,投诉等.你应该尽量接触用户,或者倾听.不要掉进了认为你应该直接询问用户的需求或者用户会为你设计站点的圈套.用户不是设计者,他们会提出不合逻辑和不现实的要求.因为这些,你可能会设计实现自己想法的站点,而不考虑用户的需求.然而,以用户为中心的设计的核心是始终记住我们是为用户设计而不是为我们自己设计.回忆以下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjL8k0p.html" rel="bookmark">web前端初学技能&mdash;&mdash;5大web前端核心技能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言  Web前端开发所涉及的内容主要包括W3C标准中的结构.行为和表现,那么这三项中我们需要掌握的核心技能是什么呢?看小编来为你揭开谜底的. 1.开发语言 HTML发展历史有二十多年,历经多次版本更新,HTML5和CSS3的出现又是一次革新.有些人认为前端开发要掌握的技能简单,不就是制作网页嘛,其实不然,web前端需要掌握的核心语言xHTML+CSS+JavaScript,JavaScript作为最难的语言之一,许多编程高手也不敢妄自菲薄自封精通.由于JavaScript与html的差异性,以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8J36xb.html" rel="bookmark">外媒解读Web安全核心PKI的四大致命问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Web安全的立足根基在于复杂的PKI部署体系,但实际生活中得到正确部署的比例却非常有限,而且这一切都将随着摩尔定律的滚滚洪流灰飞烟灭. 我个人算是PKI(即公共密钥基础设施)的忠实拥护者.我热爱数学与密码学之美,也热爱它广泛的用途与适用场景. 过去二十多年当中,我曾经为众多私营及上市公司安装过PKI.原先那曾是我个人工作中的重要组成部分,但最近一段时间我发现这已经成了工作的全部内容.企业对于安全的要求已经达到前所未有的高度,而且越来越多的客户要么首次安装自己的PKI.要么打算对现有PKI进行升级			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YbKm9Ep.html" rel="bookmark">Web设计核心问题3&colon;为用户设计&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web|设计|问题   正如在第1章中所讨论的,各个Web站点经常是根据各自特定的哲学观点来进行设计的.有时这种观点是以内容为中心,有时它又是以技术为中心.更经常的是,它是以视觉效果为中心.但是,设计Web站点时的真正重点应该是用户.时刻想着用户,并千方百计地满足他们的要求是以用户为中心的设计的关键.但是理解用户并不是一件很容易的事.虽然所有的用户都有一些共同的能力如记忆力和响应时间,但不同的用户仍然是不同的个体.网站应该为共同的用户进行设计,而不是为个别的新用户或老用户.网站应该能被所有的人所			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxYWQp.html" rel="bookmark" class="title">实现Android和PC之间的蓝牙通信</a>
					<div>
						   这两天想实现PC和安卓手机的通信,限于水平,知道的方法大概有两种:基于数据包的socket和蓝牙.虽然看起来简单,但调也调了两天多.自己测试了下socket,在室内WIFI环境下时延大概是0.1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpdmg1z.html" rel="bookmark" class="title">python文件操作之目录遍历实例分析</a>
					<div>
						  本文实例讲述了python文件操作之目录遍历的方法.分享给大家供大家参考.具体分析如下: Python的os模块,包含了普遍的操作系统功能,这里主要学习与路径相关的函数: os.listdir(d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN80dz.html" rel="bookmark" class="title">一起学wp7 XNA游戏开发&lpar;二&period; XNA Game 开发架构&rpar;</a>
					<div>
						对于新建一个XNA for WP7的工程,可以看到在它的工程文件中,有:Initialize(), LoadContent(), Update(),Draw()这几个主要的函数,由这些也就可以看得出X ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZD3oM.html" rel="bookmark" class="title">一个站长与电脑相处的十三年</a>
					<div>
						记得那是一九九四年的夏天,我和大多数的打工者一样,乘坐南下的火车来到了深圳.当时的心愿,就是每月能挣点钱帮补一下家里,由于只有高中文化,就匆匆找了一份卫生服务的苦活,虽然一月仅450元,但对刚从内地出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEOeqp.html" rel="bookmark" class="title">IIS状态代码的含义</a>
					<div>
						概要 当用户试图通过HTTP或文件传输协议(FTP)访问一台正在运行Internet信息服务(IIS)的服务器上的内容时,IIS返回一个表示该请求的状态的数字代码.该状态代码记录在IIS日志中,同时也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPoK8M.html" rel="bookmark" class="title">浅析纯粹为seo优化文章的几种方式</a>
					<div>
						首先请明白本文标题的含义,这里要讲的只是在纯粹为了seo而优化文章的情况.第二,本文所介绍的方式并不能生搬硬套到实际的文章优化工作中去.第三,过分的为了网站seo优化刻意的优化文章可能会造成适得其反的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPWKjM.html" rel="bookmark" class="title">关系数据库理论</a>
					<div>
						本文主要介绍与建立关系数据库中的关系模式(即关系表结构)密切相关的关系数据库设计的理论基础,也就是关系范式的有关基本知识.范式理论为判断关系模式的好坏提供了理论标准,是数据库设计人员设计数据库的重要依 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7QE4b.html" rel="bookmark" class="title">电脑病毒杀不掉是什么原因</a>
					<div>
						1.病毒正在运行.由于Windows保护正在运行的程序,所以杀毒软件是无法杀掉正在运行的病毒.即使是真的杀掉了病毒,电脑正常关机时内存中活动的病毒还会再复制一个病毒到硬盘上. 2.病毒隐藏在系统还原的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7eLdM.html" rel="bookmark" class="title">教新手用位移做褶皱的圣诞图案纸张</a>
					<div>
						  首先,我们说说位移,位移滤镜用的比较少,其实,不管什么工具,其存在,必定有其道理,只是视乎我们会不会用.在这里,我们会详细的解释位移的操作. 位移(offset)滤镜的位置是滤镜--其他--位移. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJ26Ep.html" rel="bookmark" class="title">体验Windows 8&period;1 锁屏幻灯片让锁屏画面自动更换</a>
					<div>
						前一阵子,我们介绍了一些Windows 8.1的新特性,锁屏幻灯片是其中一项比较吸引人的变化,能够让锁屏像桌面壁纸一样定时自动更换.其实要想体验它并不一定非要等Win 8.1发布,借助一款小工具,立马 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/zZdNd4M.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vbW1iaXoucXBpYy5jbi9tbWJpei93YzdZTlBtM1l4WDdmREVvMmJEbHhJa2lhdjlEVmlhdkE5TFdpY2xpYjdUdHpqSXYxM3VEcm04RHV4bUw5R0pxMHZDSGhnOUJpYlFqeDBBNjR0cUhES0xFNmljQS8w.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/zZdNd4M.html" rel="bookmark" class="title">Apple发布会之搞笑版（微信&plus;推特）全版</a>
					<div>
						[微信版] Apple Watch马上就要来了,势必又会有几家欢喜几家愁,几家卖肾几家欲跳楼.之前很多人都猜测的:Apple Watch是否会影响传统钟表产业?不如小编我发挥下想象力,如果瑞士钟表品牌 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAVEeM.html" rel="bookmark" class="title">有没有做个本地域和azure directory集成&quest;azure目录集成</a>
					<div>
						问题描述 有没有做个本地域和azure directory集成?azure目录集成 有没有做个本地域和azure directory集成?azure目录集成另外能不能传图片呀?请高手指教 解决方案 您 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6jnPM.html" rel="bookmark" class="title">c&num; 连oracle 报错：XACT&lowbar;E&lowbar;TMNOTAVAILABLE&lpar;0x8004D01B&rpar; 的解决</a>
					<div>
						问题描述 我做了一个com+用来连接数据库,服务器端调用COM+,但在运行网页调用COM+时出现下面的错误,(数据库的连接肯定没写错,因为我把这个连接写到网页端时能连接)COM+好象也没错(因为我把连 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Nn0JM.html" rel="bookmark" class="title">Oracle中imp命令使用出错&mdash;&mdash;未知命令开头</a>
					<div>
						大家要知道imp是在cmd命令行中才起作用了.不要弄到sqlplus里面了.要注意^  ^.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6kOZM.html" rel="bookmark" class="title">接到诈骗电话有人以消协名义诈骗</a>
					<div>
						本报讯(记者杨滨)消协办理消费者投诉也要收取&quot; 手续费&quot;?今天上午,北京市消协.西城区消协发布消费警示:警惕以消协名义有偿为消费者解决投诉的诈骗行为. 今年4月份以来,市消协和西城 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA78ZAz.html" rel="bookmark" class="title">一次openresty http&period;lua 性能调优之旅</a>
					<div>
						记一次openresty http.lua 性能调优之旅 1 背景 最近要用Nginx lua进行http 数据交互,因此想到了resty/http.lua,因此开启一段性能调优之旅. 2 发送HTT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RJRQb.html" rel="bookmark" class="title">linux网络配置相关文件</a>
					<div>
						网络接口(interface)是网络硬件设备在操作系统中的表示方法,比如网卡在Linux操作系统中用ethX,是由0开始的正整数,比如eth0.eth1...... ethX.而普通猫和ADSL的接口 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5kN9M.html" rel="bookmark" class="title">哪位高手可以帮忙解释下try&lbrace;&rcub;和catch&lbrace;&rcub;的作用用法吗？</a>
					<div>
						问题描述 小弟初学,哪位高手可以帮忙解释下try{}和catch{}的作用用法吗?不胜感激. 解决方案 解决方案二:如果try{}的{}中的语句在执行的过程中产生了异常(有很多种类),那么catch{ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR5dZb.html" rel="bookmark" class="title">RabbitMQ单机多实例配置</a>
					<div>
						由于某些因素的限制,有时候你不得不在一台机器上去搭建一个rabbitmq集群,当然这种集群只适合自己玩玩,验证下结论,这个有点类似zookeeper的单机版.真实生成环境还是要配成多机集群的.有关怎么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRw14b.html" rel="bookmark" class="title">udp-android使用UDP socket通信的地址异常问题</a>
					<div>
						问题描述 android使用UDP socket通信的地址异常问题 我用同学的笔记本开无线,android手机连接上这个无线.进行socket通信,服务器端是我的电脑,手机往我的电脑发送数据包,电脑也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodeJBM.html" rel="bookmark" class="title">程序员的工资为什么会低？</a>
					<div>
						通过邮件,我曾经和许多读者进行过交流,谈论程序员的生活状态.这些交流大部分都是围绕着同样一个主题.你是一个工资太低的程序员吗?假如你有这么问自己的打算,那这答案几乎就是&quot;是的&quot;.我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNj1BM.html" rel="bookmark" class="title">NHibernate 一个问题</a>
					<div>
						问题描述 请问NHibernate映射,&lt;properties&gt;里的字段读出来是null,该怎么弄才好?......&lt;propertiesname=&quot;identifier_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo177M.html" rel="bookmark" class="title">《创意特训营&mdash;&mdash;30天超级灵感唤醒术》&mdash;第2章2&period;6节小结</a>
					<div>
						2.6 小结 现在你已经了解了创造力必需的几种条件,虽然我们必然没法每次都成功满足这些条件,但是也不要有压力.失败是很自然的事情,也是高产优质创意的关键步骤.在下一章中我们将讲述如何正视失败.你会发现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBG8NM.html" rel="bookmark" class="title">小脑袋调价软件分享利用平台做推广的好处</a>
					<div>
						小脑袋 调价软件分享利用平台做推广的 好处 &amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp; 一.全名参与性 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLlwdM.html" rel="bookmark" class="title">PHP分页详细讲解（有实例）&lowbar;php实例</a>
					<div>
						1.前言分页显示是一种非常常见的浏览和显示大量数据的方法,属于web编程中最常处理的事件之一.对于web编程的老手来说,编写这种代码实在是和呼吸一样自然,但是对于初学者来说,常常对这个问题摸不着头绪, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1mwOb.html" rel="bookmark" class="title">C&plus;&plus;中的RTTI机制详解&lowbar;C 语言</a>
					<div>
						前言 RTTI是&quot;Runtime Type Information&quot;的缩写,意思是运行时类型信息,它提供了运行时确定对象类型的方法.RTTI并不是什么新的东西,很早就有了这个技术, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvY6rab.html" rel="bookmark" class="title">python 多进程通信模块的简单实现&lowbar;python</a>
					<div>
						多进程通信方法好多,不一而数.刚才试python封装好嘅多进程通信模块 multiprocessing.connection. 简单测试咗一下,效率还可以,应该系对socket封装,效率可以达到4kr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GVyWp.html" rel="bookmark" class="title">jQuery获得包含margin的outerWidth和outerHeight的方法&lowbar;jquery</a>
					<div>
						本文实例讲述了jQuery获得包含margin的outerWidth和outerHeight的方法.分享给大家供大家参考.具体如下: &lt;!DOCTYPE html&gt; &lt;html&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxE87Pp.html" rel="bookmark" class="title">百度、Adsense和阿里妈妈挣钱与优化方法</a>
					<div>
						首先说下百度联盟(申请地址union.baidu.com).百度联盟cpc的分成比例为50%左右.大多数点击就0.1到0.2元.广告式样相当多.满100元才支付.支持银行卡和邮局汇款.申请起来有一定的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOBavb.html" rel="bookmark" class="title">Away3D 粒子移动动画（在一个路径轨迹上循环运动）</a>
					<div>
						最近在做一个电源系统的三维拓扑图,使用LineSegment来绘制设备间的连接线缆.为了让画面更生动些,需要在线路上添加粒子移动效果,来模拟电流的流动.     1,使用小方块来实现 每隔一定的时间创 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
